Company Logo API
curl --request GET \
--url https://api.akta.pro/api/v1/company/enrichment/logo/{company} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.akta.pro/api/v1/company/enrichment/logo/{company}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.akta.pro/api/v1/company/enrichment/logo/{company}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akta.pro/api/v1/company/enrichment/logo/{company}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.akta.pro/api/v1/company/enrichment/logo/{company}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.akta.pro/api/v1/company/enrichment/logo/{company}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akta.pro/api/v1/company/enrichment/logo/{company}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"uuid": "000053o",
"logo_url": "https://files.akta.pro/logos/00/00/53/4646d6a8-92f3-55b7-b759-cdb3421ac290.png"
},
"credits_consumed": 0.0
}
Core APIs
Company Logo API
Returns the hosted logo URL for a company. Free endpoint.
GET
/
v1
/
company
/
enrichment
/
logo
/
{company}
Company Logo API
curl --request GET \
--url https://api.akta.pro/api/v1/company/enrichment/logo/{company} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.akta.pro/api/v1/company/enrichment/logo/{company}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.akta.pro/api/v1/company/enrichment/logo/{company}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akta.pro/api/v1/company/enrichment/logo/{company}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.akta.pro/api/v1/company/enrichment/logo/{company}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.akta.pro/api/v1/company/enrichment/logo/{company}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akta.pro/api/v1/company/enrichment/logo/{company}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"uuid": "000053o",
"logo_url": "https://files.akta.pro/logos/00/00/53/4646d6a8-92f3-55b7-b759-cdb3421ac290.png"
},
"credits_consumed": 0.0
}
Overview
The Company Logo API returns the hosted logo URL for a single company. Pass the company website or UUID in the path and get back a direct image URL you can drop into any UI. This endpoint is free and consumes 0 credits.Endpoint Details
- Method: GET
- Endpoint:
/api/v1/company/enrichment/logo/{company}/
Authentication requirements
- Include a valid API key in the
x-api-keyrequest header.
Request
Request Parameters
Path Parameters
string
required
Company website (e.g.
db.com) or a company UUID (e.g. 00000l1). The UUID can be obtained from the Company Search API.Example Request
GET /api/v1/company/enrichment/logo/db.com
x-api-key: <api-key>
Response
Successful Response Fields
Returns a JSON object with the following structure:float
Number of credits consumed. Always
0 — this endpoint is free.object
{
"data": {
"uuid": "000053o",
"logo_url": "https://files.akta.pro/logos/00/00/53/4646d6a8-92f3-55b7-b759-cdb3421ac290.png"
},
"credits_consumed": 0.0
}
Was this page helpful?
.png?fit=max&auto=format&n=SdGZnb5iGLBOelR9&q=85&s=6e183af2c7498a76797d0c8d9a81b986)
.png?fit=max&auto=format&n=SdGZnb5iGLBOelR9&q=85&s=7702c636c517001e39df24a084a9728d)